Skip to main content
PUT
/
segments
/
{segmentId}
/
conditions
/
{conditionId}
Update condition
curl --request PUT \
  --url https://api.kameleoon.com/segments/{segmentId}/conditions/{conditionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetingType": "PAGE_URL",
  "weight": 1,
  "count": 123,
  "include": true,
  "matchType": "EQUAL",
  "unitOfTime": "SECOND"
}
'
{
  "targetingType": "PAGE_URL",
  "weight": 1,
  "count": 123,
  "include": true,
  "matchType": "EQUAL",
  "unitOfTime": "SECOND",
  "htmlDescription": "<string>",
  "id": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

segmentId
integer<int64>
required
conditionId
integer<int64>
required

Body

application/json

Determines whether to include or exclude visitors based on session duration.

targetingType
enum<string>
required

Targeting condition type. According to this field it's necessary to add some additional fields

Available options:
PAGE_URL,
PAGE_TITLE,
LANDING_PAGE,
ORIGIN,
ORIGIN_TYPE,
REFERRERS,
NEW_VISITORS,
BROWSER_LANGUAGE,
GEOLOCATION,
DEVICE_TYPE,
SCREEN_DIMENSION,
VISITOR_IP,
AD_BLOCKER,
PREVIOUS_PAGE,
KEY_PAGES,
PAGE_VIEWS,
FIRST_VISIT,
LAST_VISIT,
ACTIVE_SESSION,
TIME_SINCE_PAGE_LOAD,
SAME_DAY_VISITS,
VISITS,
VISITS_BY_PAGE,
INTERNAL_SEARCH_KEYWORDS,
TABS_ON_SITE,
HEAT_SLICE,
SKY_STATUS,
TEMPERATURE,
DAY_NIGHT,
FORECAST_SKY_STATUS,
FORECAST_TEMPERATURE,
DAY_OF_WEEK,
TIME_RANGE,
HOUR_MINUTE_RANGE,
JS_CODE,
COOKIE,
EVENT,
EXPLICIT_TRIGGER,
BROWSER,
OPERATING_SYSTEM,
DOM_ELEMENT,
MOUSE_OUT,
TARGET_EXPERIMENT,
TARGET_PERSONALIZATION,
EXCLUSIVE_EXPERIMENT,
CONVERSIONS,
CUSTOM_DATUM,
YSANCE_SEGMENT,
YSANCE_ATTRIBUT,
TEALIUM_BADGE,
TEALIUM_AUDIENCE,
PRICE_OF_DISPLAYED_PAGE,
NUMBER_OF_VISITED_PAGES,
VISITED_PAGES,
SEGMENT,
KEY_MOMENT,
CUSTOM,
SDK_LANGUAGE,
VISITOR_CODE,
TARGET_FEATURE_FLAG,
APPLICATION_VERSION
weight
integer<int32>
required

Conditions of higher importance will have greater values. Default value: 1

Example:

1

count
integer<int32>
required

Count of time elapsed since session became active according to the 'unitOfTime'

include
boolean
required

Indicates if visitors who matched this condition should be included or excluded from the segment. Default value: 'true'

matchType
enum<string>
required

Indicates how the specified amount of time should match

Available options:
EQUAL,
LOWER,
GREATER
unitOfTime
enum<string>
required

Units of measurements that will be used to determine if sessions are active for the required duration

Available options:
SECOND,
MINUTE,
HOUR,
DAY

Response

OK

Determines whether to include or exclude visitors based on session duration.

targetingType
enum<string>
required

Targeting condition type. According to this field it's necessary to add some additional fields

Available options:
PAGE_URL,
PAGE_TITLE,
LANDING_PAGE,
ORIGIN,
ORIGIN_TYPE,
REFERRERS,
NEW_VISITORS,
BROWSER_LANGUAGE,
GEOLOCATION,
DEVICE_TYPE,
SCREEN_DIMENSION,
VISITOR_IP,
AD_BLOCKER,
PREVIOUS_PAGE,
KEY_PAGES,
PAGE_VIEWS,
FIRST_VISIT,
LAST_VISIT,
ACTIVE_SESSION,
TIME_SINCE_PAGE_LOAD,
SAME_DAY_VISITS,
VISITS,
VISITS_BY_PAGE,
INTERNAL_SEARCH_KEYWORDS,
TABS_ON_SITE,
HEAT_SLICE,
SKY_STATUS,
TEMPERATURE,
DAY_NIGHT,
FORECAST_SKY_STATUS,
FORECAST_TEMPERATURE,
DAY_OF_WEEK,
TIME_RANGE,
HOUR_MINUTE_RANGE,
JS_CODE,
COOKIE,
EVENT,
EXPLICIT_TRIGGER,
BROWSER,
OPERATING_SYSTEM,
DOM_ELEMENT,
MOUSE_OUT,
TARGET_EXPERIMENT,
TARGET_PERSONALIZATION,
EXCLUSIVE_EXPERIMENT,
CONVERSIONS,
CUSTOM_DATUM,
YSANCE_SEGMENT,
YSANCE_ATTRIBUT,
TEALIUM_BADGE,
TEALIUM_AUDIENCE,
PRICE_OF_DISPLAYED_PAGE,
NUMBER_OF_VISITED_PAGES,
VISITED_PAGES,
SEGMENT,
KEY_MOMENT,
CUSTOM,
SDK_LANGUAGE,
VISITOR_CODE,
TARGET_FEATURE_FLAG,
APPLICATION_VERSION
weight
integer<int32>
required

Conditions of higher importance will have greater values. Default value: 1

Example:

1

count
integer<int32>
required

Count of time elapsed since session became active according to the 'unitOfTime'

include
boolean
required

Indicates if visitors who matched this condition should be included or excluded from the segment. Default value: 'true'

matchType
enum<string>
required

Indicates how the specified amount of time should match

Available options:
EQUAL,
LOWER,
GREATER
unitOfTime
enum<string>
required

Units of measurements that will be used to determine if sessions are active for the required duration

Available options:
SECOND,
MINUTE,
HOUR,
DAY
htmlDescription
string
read-only

Html readable description of the targeting condition

id
integer<int64>
read-only

Unique Id